#
# spec file for package ztail
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ztail
Version:        1.2
Release:        11.1
Summary:        Multi-file, colored, filtered log tailer
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{name}
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
Source1:        https://hackage.haskell.org/package/%{name}-%{version}/revision/4.cabal#/%{name}.cabal
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-hinotify-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-regex-posix-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-unix-devel
BuildRequires:  ghc-unordered-containers-devel

%description
An even more improved version of xtail/tail -f, including inotify support, full
regex-based filtering, substitution, and colorization.

%prep
%setup -q
cp -p %{SOURCE1} %{name}.cabal

%build
%ghc_bin_build

%install
%ghc_bin_install

%files
%doc LICENSE
%doc README
%{_bindir}/%{name}

%changelog
* Wed May  9 2018 psimons@suse.com
- Update to version 1.2 revision 4.
  A more detailed change log is not available.
* Mon Nov 27 2017 psimons@suse.com
- Update to version 1.2 revision 3.
  A more detailed change log is not available.
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Fri Jul 28 2017 psimons@suse.com
- Update to version 1.2 revision 2.
* Sun Feb 12 2017 psimons@suse.com
- Update to version 1.2 revision 1 with cabal2obs.
